{
  "name": "@ikoabo/notifications",
  "version": "1.1.0",
  "description": "IKOA Business Opportunity Notifications API",
  "main": "lib/index.js",
  "types": "lib/index.d.ts",
  "engines": {
    "node": ">=12.0.0",
    "npm": ">=6.0.0"
  },
  "scripts": {
    "prepare": "install-peers",
    "build": "tsc",
    "deploy": "tsc && npm run publish-npm",
    "publish-npm": "npm publish --registry='https://registry.npmjs.org/' --access public",
    "lint": "tsc --noEmit && eslint '*/**/*.ts' --fix",
    "test": "mocha --require ts-node/register tests/*.ts",
    "coverage": "nyc npm run test"
  },
  "files": [
    "lib/**/*"
  ],
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/ikoabo/packages/notifications.git"
  },
  "keywords": [
    "ikoabo",
    "mailer",
    "notifications",
    "messaging"
  ],
  "author": "Reinier Millo Sánchez <millo@ikoabo.com>",
  "license": "MIT",
  "bugs": {
    "url": "https://gitlab.com/ikoabo/packages/notifications/issues",
    "email": "millo@ikoabo.com"
  },
  "homepage": "https://gitlab.com/ikoabo/packages/notifications#readme",
  "devDependencies": {
    "@types/chai": "^4.2.18",
    "@types/mocha": "^8.2.2",
    "@typescript-eslint/eslint-plugin": "^4.26.1",
    "@typescript-eslint/parser": "^4.26.1",
    "chai": "^4.3.4",
    "eslint": "^7.28.0",
    "eslint-config-prettier": "^8.3.0",
    "eslint-import-resolver-alias": "^1.1.2",
    "eslint-import-resolver-typescript": "^2.4.0",
    "eslint-plugin-import": "^2.23.4",
    "eslint-plugin-prettier": "^3.4.0",
    "install-peers-cli": "^2.2.0",
    "mocha": "^9.0.0",
    "nyc": "^15.1.0",
    "prettier": "^2.3.1",
    "ts-node": "^10.0.0",
    "typescript": "^4.3.2"
  },
  "peerDependencies": {
    "axios": "0.21.1",
    "@ikoabo/core": "^1.1.4"
  }
}
